/*
 * BSD License for xmlfy
 * Copyright (c) 2008-2013, Arthur Gouros
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * - Redistributions of source code must retain the above copyright notice, 
 *   this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * - Neither the name of Arthur Gouros nor the names of its contributors 
 *   may be used to endorse or promote products derived from this software 
 *   without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**************************************************************************
 * xmlfy - Convert to XML on the fly.                                     *
 *         Original Author: Arthur Gouros.                                *
 *                                                                        *
 *         Please consult the documentation for further information.      *
 **************************************************************************
 */

/* arg messages */

/* general messages */
const char MSG_UNKNOWN_OPTION[] =
"%s: ERROR: Unknown option: '%s'%s";
const char MSG_PARAMETER_INVALID[] =
"%s: ERROR: Option '%s': Unsupported parameter: '%s'.%s";
const char MSG_PARAMETER_SECOND_INVALID[] =
"%s: ERROR: Option '%s %s': Unsupported parameter: '%s'.%s";
const char MSG_PARAMETER_MISSING[] =
"%s: ERROR: Option '%s' requires a parameter to be specified.%s";
const char MSG_PARAMETER_SECOND_MISSING[] =
"%s: ERROR: Option '%s %s' requires a parameter to be specified.%s";
const char MSG_PARAMETER_MISSING_TWO_REQUIRED[] =
"%s: ERROR: Option '%s %s' requires 2 parameters to be specified.%s";
const char MSG_INVALID_LEVEL[] =
"%s: ERROR: Option '%s' has an invalid level specified.%s";
const char MSG_INVALID_LEVEL_ZERO[] =
"%s: ERROR: Option '%s %s' is not supported for level zero.%s";
const char MSG_INVALID_RANGE[] =
"%s: ERROR: Option '%s' has an illegal range specified: '%s'%s";
const char MSG_NO_RANGE[] =
"%s: ERROR: Option '%s' requires a range to be specified.%s";
const char MSG_INVALID_REGEX[] =
"%s: ERROR: Option '%s' has an illegal regex specified: '%s'%s";
const char MSG_CANNOT_OPEN_FILE[] =
"%s: ERROR: Option '%s %s %s %s' cannot open file.%s";
const char MSG_CANNOT_WRITE_FILE[] =
"%s: ERROR: Option '%s %s' cannot write to file.%s";
const char MSG_INVALID_INDENT[] =
"%s: ERROR: Option '%s %s %s %s' has an invalid indentation value specified.%s";

/* schema file messages */
const char MSG_SCHEMA_ILLEGAL_OPTION[] =
"%s: ERROR: Illegal option is specified in schema file: '%s'%s";
const char MSG_SCHEMA_INVALID_OPTION[] = 
"%s: ERROR: Option '%s' cannot be specified in a schema file.%s";
const char MSG_SCHEMA_NO_FILE[] = 
"%s: ERROR: Option '%s' requires a schema file to be specified.%s";
const char MSG_SCHEMA_DTD_NO_FILE[] = 
"%s: ERROR: Option '%s' requires a DTD schema file to be specified.%s";
const char MSG_SCHEMA_RNC_NO_FILE[] = 
"%s: ERROR: Option '%s' requires a RNC schema file to be specified.%s";
const char MSG_SCHEMA_XSD_NO_FILE[] = 
"%s: ERROR: Option '%s' requires a XSD schema file to be specified.%s";
const char MSG_SCHEMA_UNSUPPORTED_EXTENSION[] = 
"%s: ERROR: Option '%s' has an unsupported schema file extension '%s'.%s";
const char MSG_SCHEMA_MULTIPLE_FILES[] =
"%s: ERROR: Option '%s' only one schema file can be specified.%s";
const char MSG_SCHEMA_KVP_INVALID_OPTION[] =
"%s: ERROR: Option '%s' cannot be used with option --keyvaluepairs.%s";

/* delimiter messages */
const char MSG_DELIMITER_NO_DELIMITER[] =
"%s: ERROR: Option '%s' requires a delimiter to be specified.%s";
const char MSG_DELIMITER_CONFLICT_WITH_COLUMN_REGEX_OPTION[] =
"%s: ERROR: Option '%s' has level which conflicts with column/regex options.%s";

/* scope messages */
const char MSG_SCOPE_INVALID[] =
"%s: ERROR: Option '%s' has an invalid scope specified.%s";
const char MSG_SCOPE_MISSING[] =
"%s: ERROR: Option '%s' has no scope specified.%s";
const char MSG_SCOPE_NO_LEVEL[] =
"%s: ERROR: Option '%s' has no level specified.%s";
const char MSG_SCOPE_UNSUPPORTED[] =
"%s: ERROR: Option '%s %s' does not support scoping.%s";

/* regex messages */
const char MSG_REGEX_INVALID[] =
"%s: ERROR: Option '%s %s' has an invalid regex specified.%s";
const char MSG_REGEX_PATTERN_INVALID[] =
"%s: ERROR: Option '%s %s' has an invalid regex pattern specified.%s";
const char MSG_REGEX_NO_PATTERN[] =
"%s: ERROR: Option '%s %s' has no regex pattern specified.%s";
const char MSG_REGEX_INVALID_CFLAGS[] =
"%s: ERROR: Option '%s %s' has an invalid flag specified.%s";
const char MSG_REGEX_NO_PATTERN_DELIMITERS[] =
"%s: ERROR: Option '%s %s' has no regex pattern delimiters specified.%s";

/* other messages */
const char MSG_LEVEL_ONE_ONLY_OPTION[] =
"%s: ERROR: Option '%s' cannot be used with delimiter levels of 2 or greater.%s";
const char MSG_KVP_SCHEMA_INVALID_OPTION[] =
"%s: ERROR: Option '%s' cannot be used with a schema file.%s";
const char MSG_SYSTEM_IDENTIFIER_PARAMETER_MISSING[] =
"%s: ERROR: Option '%s' requires a system_identifier to be specified.%s";
const char MSG_QUOTECHARS_ARRAY_PARAMETER_MISSING[] =
"%s: ERROR: Option '%s' requires a quotechars array to be specified.%s";
const char MSG_QUOTECHARS_ARRAY_ONLY_ONE_ALLOWED[] =
"%s: ERROR: Option '%s' only one quotechars array can be specified.%s";
const char MSG_QUOTECHARS_ARRAY_PARAMETER_UNPAIRED[] =
"%s: ERROR: Option '%s' has an unpaired quote in quotechars array.%s";

