/*
 * BSD License for xmlfy
 * Copyright (c) 2008-2013, Arthur Gouros
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * - Redistributions of source code must retain the above copyright notice, 
 *   this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * - Neither the name of Arthur Gouros nor the names of its contributors 
 *   may be used to endorse or promote products derived from this software 
 *   without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**************************************************************************
 * xmlfy - Convert to XML on the fly.                                     *
 *         Original Author: Arthur Gouros.                                *
 *                                                                        *
 *         Please consult the documentation for further information.      *
 **************************************************************************
 */

#include "validate_args.h"

/* function templates */
void show_license();
void print_spacer();
void print_clause_bsd_intro();
void print_clause_bsd_item1();
void print_clause_bsd_item2();
void print_clause_bsd_disclaimer();

void show_license()
{
  /* Show all licenses required by xmlfy */

  /* print xmlfy license */
  fprintf(stderr, "%s%s%s%s%s%s",
    "BSD License for xmlfy", newline,
    "Copyright (c) 2008-2013, Arthur Gouros", newline,
    "All rights reserved.", newline);
  print_clause_bsd_intro();
  print_clause_bsd_item1();
  print_clause_bsd_item2();
  fprintf(stderr, "%s%s%s%s%s%s",
    "- Neither the name of Arthur Gouros nor the names of its contributors", newline,
    "  may be used to endorse or promote products derived from this software", newline,
    "  without specific prior written permission.", newline);
  print_clause_bsd_disclaimer();

  print_spacer();

  /* print TRE license */
  fprintf(stderr, "%s%s%s%s%s%s", 
    "BSD License for TRE, a regex matching package used by xmlfy.", newline,
    "Copyright (c) 2001-2009 Ville Laurikari <vl@iki.fi>", newline,
    "All rights reserved.", newline);
  print_clause_bsd_intro();
  print_clause_bsd_item1();
  print_clause_bsd_item2();
  print_clause_bsd_disclaimer();

  exit(err_status);
}


void print_spacer()
{
  fprintf(stderr, "%s%s%s", 
    newline, 
    "-------------------------------------------------------------------", newline);
}
void print_clause_bsd_intro()
{
  fprintf(stderr, "%s%s%s%s%s", 
    newline,
    "Redistribution and use in source and binary forms, with or without", newline,
    "modification, are permitted provided that the following conditions are met:", newline);
}
void print_clause_bsd_item1()
{
  fprintf(stderr, "%s%s%s%s%s", 
    newline,
    "- Redistributions of source code must retain the above copyright notice,", newline,
    "  this list of conditions and the following disclaimer.", newline);
}
void print_clause_bsd_item2()
{
  fprintf(stderr, "%s%s%s%s%s%s", 
    "- Redistributions in binary form must reproduce the above copyright notice,", newline,
    "  this list of conditions and the following disclaimer in the documentation", newline,
    "  and/or other materials provided with the distribution.", newline);
}
void print_clause_bsd_disclaimer()
{
  fprintf(stderr, "%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s%s", 
    newline,
    "THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"", newline,
    "AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE", newline,
    "IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE", newline,
    "ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE", newline,
    "LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR", newline,
    "CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF", newline,
    "SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS", newline,
    "INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN", newline,
    "CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)", newline,
    "ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE", newline,
    "POSSIBILITY OF SUCH DAMAGE.", newline);
}
