/*
 * BSD License for xmlfy
 * Copyright (c) 2008-2013, Arthur Gouros
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * - Redistributions of source code must retain the above copyright notice, 
 *   this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * - Neither the name of Arthur Gouros nor the names of its contributors 
 *   may be used to endorse or promote products derived from this software 
 *   without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 */

/**************************************************************************
 * xmlfy - Convert to XML on the fly.                                     *
 *         Original Author: Arthur Gouros.                                *
 *                                                                        *
 *         Please consult the documentation for further information.      *
 **************************************************************************
 */

#ifndef XMLOUT_H
#define XMLOUT_H

#include "../xmlfy.h"
#include "../utf_io/utf_io.h"

extern long record_cntr_printed, record_cntr_blank, record_cntr_unmatched, record_cntr_read, record_cntr_expelled;
extern char temp_array[TEMP_ARRAY_SIZE];

/* function templates */
extern void process_input();
extern int  delimiter_separator(int level, long pos, long end, int buffer_size, int depth);
extern void match_schema();
extern int  match_expel();
extern void trim_field(long i);
extern void process_output(long record_number);
extern void print_output_summary(int argc, unsigned char **argv);
extern void mkelem(int level, unsigned char *t, int t_length, int t_encoding, unsigned char *f, long f_length, int f_encoding, long n, int sw_numbered_tag, int sw_numbered_attr, int level_d, int d, int sw_delimiter_attr, int sw_level_tag, int sw_level_attr, int sw_timestamp_attr, int sw_custom_attr, int sw_custom_tag);
extern void mktag(int tag_control, int level, unsigned char *t, int t_length, int t_encoding, long n, int sw_numbered_tag, int sw_numbered_attr, int level_d, int d, int sw_delimiter_attr, int sw_level_tag, int sw_level_attr, int sw_timestamp_attr, int sw_custom_attr, int sw_custom_tag);
extern void make_timestamp_array(time_t t, int type);
extern void append_escaped_string(unsigned char *s, int s_length);
extern void print_insert_attr(int level);
extern void print_insert_tag(int level, int flag_reinsert);

/* function templates external to this object */
extern void debug_print_helper_xpaths(char *msg, int i_helper, int h_helper);
extern void reprocess_insert_tag_file();

#endif /* XMLOUT_H */
